import 'package:camera/camera.dart';
import 'package:flutter/cupertino.dart';
import 'package:nui_core/nui_core.dart';
import 'package:nui_media/nui_media.dart';
import 'package:nui_media/ui/nui_camera_view.dart';

class NUICameraUtil{
  static void openCamera(BuildContext context, {int cameraIndex: 0, bool enableRecording: false, MediaSelectionListener listener, bool pop: false}) async{
    final cameras = await availableCameras();

    if(cameras.isNullOrEmpty()){
      //
    }
    else {
      // Get a specific camera from the list of available cameras.
      final firstCamera = cameraIndex != null ? cameras[cameraIndex] : cameras.first;
      if(pop == false) {
        NUINavigator.push(context, NUICameraScreenUI(
          cameras, enableVideo: enableRecording, listener: listener,),
            transition: PageTransition.LEFT_RIGHT,
            duration: Duration(milliseconds: 1200));
      }
      else{
        NUINavigator.popAndPush(context, NUICameraScreenUI(
          cameras, enableVideo: enableRecording, listener: listener,),
            transition: PageTransition.LEFT_RIGHT,
            duration: Duration(milliseconds: 1200));
      }
    }
  }
}